Tests: Add filtering tests to configure
[lttng-tools.git] / tests / tools / filtering / runall
diff --git a/tests/tools/filtering/runall b/tests/tools/filtering/runall
new file mode 100755 (executable)
index 0000000..c92e399
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+DIR=$(dirname $0)
+
+tests=( $DIR/unsupported-ops $DIR/invalid-filters $DIR/valid-filters )
+exit_code=0
+
+function start_tests ()
+{
+       for bin in ${tests[@]};
+       do
+               if [ ! -e $bin ]; then
+                       echo -e "$bin not found, passing"
+                       continue
+               fi
+
+               ./$bin
+               # Test must return 0 to pass.
+               if [ $? -ne 0 ]; then
+                       exit_code=1
+                       break
+               fi
+       done
+}
+
+start_tests
+
+exit $exit_code
This page took 0.023361 seconds and 4 git commands to generate.